### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.user

# Class CredentialPermissionCollection

java.lang.Object
java.security.PermissionCollection
com.sas.services.user.CredentialPermissionCollection

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class CredentialPermissionCollection extends PermissionCollection implements Serializable
Collection of credential permissions.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialPermissionCollection()`
  Constructs a default collection of credential permissions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Permission permission)`
  Adds a credential permission.
  `Enumeration`
  `elements()`
  Gets an enumeration of the elements.
  `boolean`
  `implies(Permission permission)`
  Determines whether or not permission is allowed.

  ### Methods inherited from class java.security.PermissionCollection

  `elementsAsStream, isReadOnly, setReadOnly, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CredentialPermissionCollection

    public CredentialPermissionCollection()
    Constructs a default collection of credential permissions.

- ## Method Details

  - ### add

    public void add(Permission permission)
    Adds a credential permission.
    Specified by:
      `add` in class `PermissionCollection`
    Parameters:
      `permission` - Credential permission to be added.
    Throws:
      `IllegalArgumentException` - if the specified permission is not a credential permission.
      `SecurityException` - if this permission collection is not updateable.

  - ### implies

    public boolean implies(Permission permission)
    Determines whether or not permission is allowed.
    Specified by:
      `implies` in class `PermissionCollection`
    Parameters:
      `permission` - Permission to determine if implied.
    Returns:
      `true` if permission is allowed.

  - ### elements

    public Enumeration elements()
    Gets an enumeration of the elements.
    Specified by:
      `elements` in class `PermissionCollection`
    Returns:
      Enumeration.